Avro C#

Public Member Functions | Properties | List of all members
Avro.Generic.DatumWriter< T > Interface Template Reference

Defines the interface for an object that writes data of a schema. More...

Inheritance diagram for Avro.Generic.DatumWriter< T >:

## Public Member Functions
void | Write (T datum, Encoder encoder)
| Write a datum. Traverse the schema, depth first, writing each leaf value in the schema from the datum to the output. More...

## Properties
Schema | Schema`[get]`
| Schema used to write the data. More...

## Detailed Description

Defines the interface for an object that writes data of a schema.

Template Parameters

  T | Type of the in-memory data representation.

## Member Function Documentation

## ◆ Write()

void Avro.Generic.DatumWriter< T >.Write | ( | T | datum,
|  | Encoder | encoder
| ) |  |

Write a datum. Traverse the schema, depth first, writing each leaf value in the schema from the datum to the output.

Parameters

  datum | Datum to write
  encoder | Encoder to write to

Implemented in Avro.Generic.GenericWriter< T >, Avro.Reflect.ReflectWriter< T >, and Avro.Generic.PreresolvingDatumWriter< T >.

## Property Documentation

## ◆ Schema

Schema Avro.Generic.DatumWriter< T >.Schema
| get

Schema used to write the data.

The documentation for this interface was generated from the following file:

- src/apache/main/Generic/DatumWriter.cs